Subject: Re: [Manet-dt] IANA Port & Multicast Addresses

From: "Ian Chakeres" <[email-masked]>
Date: Fri, 7 Jul 2006 16:01:39 -0700

Comments inline.

On 6/29/06, Dearlove, Christopher (UK) <[email-masked]> wrote:
<snip>
> > Regarding 3 = Port
> > The document says all interoperable implementations use the MANET
> > port. If you chose to run OLSRv2 on another port, it wouldn't be
> > considered interoperable. Otherwise, I don't see an issue with running
> > a protocol on another port.
>
> At the moment I don't see any meaning to, for example,
> running OLSRv2 and DYMO on the same port, and doing
> so introduces distinct complications. Again I'm of
> the view of asking for what's needed, no more, no less.
> I don't say there isn't a possibility here, but we
> should first discuss the architectures and the nasty
> questions that arise (I have several, here's one just
> for starters - what about multi-message packets, and
> who gets the packet header?) and if we have a need,
> then ask. Until then, don't.

I don't see any problem running DYMO and OLSRv2 along side each other
on the same port, thanks to packetbb.

Regarding the IP header - perhaps it should be stated in the packetbb
draft that only messages with the same IP
source/destination/ttl(hoplimit)/etc are allowed to be combined.

_______________________________________________
Manet-dt mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet-dt